Bug 496428 - Mediawiki should have a usable default configuration
Mediawiki should have a usable default configuration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mediawiki (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-18 22:56 EDT by Dennis Jacobfeuerborn
Modified: 2009-07-31 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-26 17:07:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Jacobfeuerborn 2009-04-18 22:56:59 EDT
The mediawiki package should contain a usable default configuration like other web based packages in Fedora provide. This would require the following changes:

1. A file "/etc/httpd/conf.d/mediawiki.conf" that sets up an alias "/wiki/" with a target of "/var/www/wiki/".

3. A symlink "/var/www/wiki/skins" to "/usr/share/mediawiki/skins" is currently missing which results in mediawiki not beeing able to load the stylesheets.

With these two changes users can install the package and immediately go to "http://localhost/wiki/config/" to setup their mediawiki instance. The config-file should probably make the "/var/www/wiki" only accessible from localhost by default for security reasons. If users want to make the wiki available externally they only have to remove that directive from the config file.

3. Potentially "/var/www/wiki/images" should be writable for the user "apache" and "/usr/share/mediawiki/images" should be a symlink to that directory so that enabling the file upload option works properly. (Unfortunately mediawiki seems to write the files directly to "/usr/share/mediawiki/images" instead of "/var/www/wiki" so that this symlink is necessary to prevent apache from writing files to "/usr". I'm not sure if there is a better way to fix this behavior.)
Comment 1 Ricky Zhou 2009-06-21 20:01:36 EDT
Hm, I'm honestly not too crazy about having mediawiki pull in apache (I know it currently does do this) to do this when people could just as well want to use mediawiki with lighttpd or some other web server.  Perhaps a possible solution would be to include sample configuration files and a README.fedora with instructions for setting it up in /usr/share/doc/mediawiki-*?
Comment 2 Axel Thimm 2009-07-26 17:07:03 EDT
The current package in rawhide has some package specific documentation and sample configuration. Some wrong dependencies for minimal (mathless) installations have been fixed as well. From the changelog:

- Add a README.RPM and a sample apache mediawiki.conf file.
- All (runtime) dependencies from mediawiki need to move to
  mediawiki-nomath.

See also
http://cvs.fedoraproject.org/viewvc/rpms/mediawiki/devel/README.RPM?view=co
http://cvs.fedoraproject.org/viewvc/rpms/mediawiki/devel/mediawiki.conf?view=co

Please check if the issues are ironed out and reopen if not. The package in rawhide may further change before F12 to address bug #463784.

Note You need to log in before you can comment on or make changes to this bug.